classification
Title: SRE: (?-flag) is not supported.
Type: enhancement Stage:
Components: Regular Expressions Versions: Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Adding a new regex module (compatible with re)
View: 2636
Assigned To: effbot Nosy List: belopolsky, effbot, georg.brandl, mrabarnett, serhiy.storchaka, timehorse
Priority: low Keywords:

Created on 2001-06-14 08:27 by effbot, last changed 2014-11-08 12:25 by serhiy.storchaka. This issue is now closed.

Messages (5)
msg53161 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2001-06-14 08:27
from the jeffrey friedl report:

(?-i) is not supported. It'd be nice to have
msg63645 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2008-03-17 14:12
This depends on issue433024 (SRE: (?flag) isn't properly scoped.)
msg73686 - (view) Author: Matthew Barnett (mrabarnett) * Date: 2008-09-24 00:39
Implemented in #3825.
msg114618 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-22 00:03
See #2636, which implements this.
msg230850 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-11-08 12:25
I think issue433028 supersedes this and looks more preferable. No need to implement several ways to do same things.
History
Date User Action Args
2014-11-08 12:25:41serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg230850
2010-08-22 00:03:35georg.brandlsetstatus: open -> closed

dependencies: - Major reworking of Python 2.5.2 re module
superseder: Adding a new regex module (compatible with re)

nosy: + georg.brandl
messages: + msg114618
resolution: duplicate
2009-02-12 19:36:06ajaksu2setdependencies: + Major reworking of Python 2.5.2 re module
versions: + Python 2.7
2008-09-24 11:28:42timehorsesetnosy: + timehorse
2008-09-24 00:39:02mrabarnettsetnosy: + mrabarnett
messages: + msg73686
2008-03-17 14:12:20belopolskysetnosy: + belopolsky
messages: + msg63645
2001-06-14 08:27:14effbotcreate